API Explorer 896 endpoints

Create new parcel

POST /obp/dynamic-entity/banks/dylan-bank/parcel

OBPv4.0.0-dynamicEntity_createparcel_dylan-bank Roles: CanCreateDynamicEntityRecord_parcel(per bank) _Parcel(dylan-bank)Dynamic-EntityDynamic

Create new parcel.

Parcel' means a geospatially defined unit of land, identified by its boundary geometry. parcel holds the stable, rarely-changing identity of the land (geometry, CRS, official land-registry codes). This Dynamic Entity is part of OGCR.

Property List:

  • parcel_id: Internal identifier for the parcel.
  • multipolygon_coordinates: GeoJSON MultiPolygon boundary of the parcel.
  • coordinate_reference_system: Coordinate Reference System (CRS) identifier that defines how to interpret the geometry coordinates (e.g., EPSG:4326 for WGS84).
  • iacs_codes: Array of identifiers referencing the parcel in the Member State’s IACS (Integrated Administration and Control System). Only if applicable.
  • lpis_codes: Identifiers from the Land Parcel Identification System (LPIS) that reference official “reference parcels”/land blocks. Only if applicable.

MethodRouting settings example:

<details>

{
  "is_bank_id_exact_match":false,
  "method_name":"dynamicEntityProcess",
  "connector_name":"rest_vMar2019",
  "bank_id_pattern":".*",
  "parameters":[
    {
        "key":"entityName",
        "value":"parcel"
    }
    {
        "key":"url",
        "value":"http://mydomain.com/xxx"
    }
  ]
}

</details>

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

Example request body
{
  "parcel_id": "parcel_03OGNWO397234DQ",
  "multipolygon_coordinates": {
    "type": "MultiPolygon",
    "coordinates": [
      [
        [
          [
            13.405,
            52.52
          ],
          [
            13.406,
            52.52
          ],
          [
            13.406,
            52.521
          ],
          [
            13.405,
            52.521
          ],
          [
            13.405,
            52.52
          ]
        ]
      ]
    ]
  },
  "coordinate_reference_system": "EPSG:4326",
  "iacs_codes": "DE-BB-IACS-2026-0012345678",
  "lpis_codes": "DE-BB-LPIS-REFPARCEL-0098765432"
}
Example success response
{
  "bank_id": "dylan-bank",
  "parcel": {
    "parcel_id": "parcel_03OGNWO397234DQ",
    "multipolygon_coordinates": {
      "type": "MultiPolygon",
      "coordinates": [
        [
          [
            [
              13.405,
              52.52
            ],
            [
              13.406,
              52.52
            ],
            [
              13.406,
              52.521
            ],
            [
              13.405,
              52.521
            ],
            [
              13.405,
              52.52
            ]
          ]
        ]
      ]
    },
    "coordinate_reference_system": "EPSG:4326",
    "iacs_codes": "DE-BB-IACS-2026-0012345678",
    "lpis_codes": "DE-BB-LPIS-REFPARCEL-0098765432"
  }
}
Possible errors (4)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-20006: User is missing one or more roles:
  • OBP-10001: Incorrect json format.
  • OBP-50000: Unknown Error.
Implemented by OBPv4.0.0 dynamicEntity_createparcel_dylan-bank Originally /banks/dylan-bank/parcel